From 7443f0d2b9fc9a6454b3e018d1c68541474ef7e0 Mon Sep 17 00:00:00 2001
From: Daniel Gustafsson <daniel@yesql.se>
Date: Mon, 6 Nov 2023 13:51:03 +0100
Subject: [PATCH 2/2] Fix labelling bug on featurematrix

The labels for version toggles on the featurematrix were using the
wrong id for the input element.
---
 templates/featurematrix/featurematrix.html | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/templates/featurematrix/featurematrix.html b/templates/featurematrix/featurematrix.html
index 0401ebba..bb39fc5d 100644
--- a/templates/featurematrix/featurematrix.html
+++ b/templates/featurematrix/featurematrix.html
@@ -25,7 +25,7 @@ the text.
   <div id="feature-matrix-filter" class="col-8 offset-2 border">
     <form id="featurematrix_version_filter"><h5>Filter by version</h5>
       {% for version in versions %}
-        <label for="{{ version.numtree|cut:"." }}">{{ version.numtree }}</label>
+        <label for="toggle_{{ version.numtree|cut:"." }}">{{ version.numtree }}</label>
         <input type="checkbox" id="toggle_{{ version.numtree|cut:"." }}" class="featurematrix_version" {% if version.supported or version.testing %}checked{% endif %} value="{{ version.numtree }}" />
       {% endfor %}
       <hr id="featurematrix_version_divider" />
-- 
2.32.1 (Apple Git-133)

